cascading.flow.planner.iso

## Class GraphResult<R extends ElementGraph>

- java.lang.Object
- - cascading.flow.planner.iso.GraphResult<R>

Direct Known Subclasses:
  Asserted, Partitions, Transformed

    public abstract class GraphResult<R extends ElementGraph>
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`GraphResult()`

### Method Summary

Methods
`abstract ElementGraph` `getBeginGraph()`
`abstract R` `getEndGraph()`
`abstract java.lang.String` `getRuleName()`
`protected java.lang.String` `makeFileName(int ordinal, java.lang.String name, java.lang.String state)`
`protected int` `writeBeginGraph(java.lang.String path, int count)`
`abstract void` `writeDOTs(java.lang.String path)`
`protected void` `writeEndGraph(java.lang.String path, int count)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GraphResult

    public GraphResult()

### Method Detail

#### getBeginGraph

    public abstract ElementGraph getBeginGraph()

#### getRuleName

    public abstract java.lang.String getRuleName()

#### getEndGraph

    public abstract R getEndGraph()

#### writeDOTs

    public abstract void writeDOTs(java.lang.String path)

#### writeEndGraph

    protected void writeEndGraph(java.lang.String path,
                     int count)

#### writeBeginGraph

    protected int writeBeginGraph(java.lang.String path,
                      int count)

#### makeFileName

    protected java.lang.String makeFileName(int ordinal,
                                java.lang.String name,
                                java.lang.String state)